# PvCard::EMail Struct Reference

`#include <vcard.h>`

Inheritance diagram for PvCard::EMail:

List of all members.

## Public Member Functions

| EMail ()
| EMail (const PString &address, const PString &type=PString::Empty())
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.

## Public Attributes

TextValue | m_address

## Constructor & Destructor Documentation

PvCard::EMail::EMail | ( |  | ) | `[inline]`

PvCard::EMail::EMail | ( | const PString & | address,
|  | const PString & | type = `PString::Empty()` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual void PvCard::EMail::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

## Member Data Documentation

TextValue PvCard::EMail::m_address

The documentation for this struct was generated from the following file:

- vcard.h